// Type: System.Windows.Media.SolidColorBrush
// Assembly: PresentationCore, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35
// Assembly location: C:\Program Files (x86)\Reference Assemblies\Microsoft\Framework\.NETFramework\v4.0\Profile\Client\PresentationCore.dll

using System.IO;
using System.Windows;

namespace System.Windows.Media
{
    public sealed class SolidColorBrush : Brush
    {
        public static readonly DependencyProperty ColorProperty;
        public SolidColorBrush();
        public SolidColorBrush(Color color);
        public Color Color { get; set; }
        public new SolidColorBrush Clone();
        public new SolidColorBrush CloneCurrentValue();
        protected override Freezable CreateInstanceCore();
        public static object DeserializeFrom(BinaryReader reader);
    }
}
