﻿using iDesign.Mvvm.ObjectServices;
using iDesign.Mvvm.ObjectServices.Dialogs;

namespace iDesign.Mvvm.Services.Core
{
    public static class ServiceInjector
    {
        // Loads service objects into the ServiceContainer on startup.
        public static void InjectServices()
        {
            ServiceContainer.Instance.AddService<IMessageBoxService>(new MessageBoxService());
            ServiceContainer.Instance.AddService<IOpenFileDialogService>(new OpenFileDialogService());
            ServiceContainer.Instance.AddService<IFolderBrowserDialogService>(new FolderBrowserDialogService());
        }
    }
}